com.amazonaws.codegen.naming

## Class DefaultNamingStrategy

- java.lang.Object
- - com.amazonaws.codegen.naming.DefaultNamingStrategy

All Implemented Interfaces:
  NamingStrategy

    public class DefaultNamingStrategy
    extends Object
    implements NamingStrategy

Default implementation of naming strategy respecting customizations supplied by `CustomizationConfig`.

### Constructor Summary

Constructors
Constructor and Description
`DefaultNamingStrategy(ServiceModel serviceModel, BasicCodeGenConfig codeGenConfig, CustomizationConfig customizationConfig)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getEnumValueName(String enumValue)`
`String` `getExceptionName(String errorShapeName)`
`String` `getFluentSetterMethodName(String memberName)`
`String` `getGetterMethodName(String memberName)`
`String` `getJavaClassName(String shapeName)`
`String` `getRequestClassName(String operationName)`
`String` `getResponseClassName(String operationName)`
`String` `getSetterMethodName(String memberName)`
`String` `getVariableName(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultNamingStrategy

    public DefaultNamingStrategy(ServiceModel serviceModel,
                                 BasicCodeGenConfig codeGenConfig,
                                 CustomizationConfig customizationConfig)

### Method Detail

#### getExceptionName

    public String getExceptionName(String errorShapeName)

Specified by:
  `getExceptionName` in interface `NamingStrategy`
Parameters:
  `errorShapeName` - Name of error shape to derive exception class name from.
Returns:
  Appropriate name to use for a Java exception class name

#### getRequestClassName

    public String getRequestClassName(String operationName)

Specified by:
  `getRequestClassName` in interface `NamingStrategy`
Parameters:
  `operationName` - Name of operation used to derive request class name.
Returns:
  Appropriate name to use for the Java class representing the request shape.

#### getResponseClassName

    public String getResponseClassName(String operationName)

Specified by:
  `getResponseClassName` in interface `NamingStrategy`
Parameters:
  `operationName` - Name of operation used to derive response class name.
Returns:
  Appropriate name to use for the Java class representing the response shape.

#### getVariableName

    public String getVariableName(String name)

Specified by:
  `getVariableName` in interface `NamingStrategy`
Parameters:
  `name` - Some contextual name to derive variable name from (i.e. member name, java class name, etc).
Returns:
  Appropriate name to use for a Java variable or field.

#### getEnumValueName

    public String getEnumValueName(String enumValue)

Specified by:
  `getEnumValueName` in interface `NamingStrategy`
Parameters:
  `enumValue` - Enum value as defined in the service model used to derive the java name.
Returns:
  Appropriate name to use for a Java enum value

#### getJavaClassName

    public String getJavaClassName(String shapeName)

Specified by:
  `getJavaClassName` in interface `NamingStrategy`
Parameters:
  `shapeName` - Name of structure used to derive Java class name.
Returns:
  Appropriate name to use for a Java class for an arbitrary (not a request, response, error) structure.

#### getGetterMethodName

    public String getGetterMethodName(String memberName)

Specified by:
  `getGetterMethodName` in interface `NamingStrategy`
Parameters:
  `memberName` - Member name to name getter for.
Returns:
  Name of the getter method for a model class member.

#### getSetterMethodName

    public String getSetterMethodName(String memberName)

Specified by:
  `getSetterMethodName` in interface `NamingStrategy`
Parameters:
  `memberName` - Member name to name setter for.
Returns:
  Name of the setter method for a model class member.

#### getFluentSetterMethodName

    public String getFluentSetterMethodName(String memberName)

Specified by:
  `getFluentSetterMethodName` in interface `NamingStrategy`
Parameters:
  `memberName` - Member name to name fluent setter for.
Returns:
  Appropriate name to use for fluent setter method (i.e. withFoo) for a model class member.